array
Prev | Deprecated Orchestra Opcodes and GEN Routines | Next

## array

array — Deprecated.

## Description

Generate a vector (one-dimensional k-rate array) with initial values.

## Syntax

    karray[] array ival1, ival2,.....ivaln

## Initialization

ival1,...ivaln -- values to place in the vector.

## Examples

Here is an example of the array opcode. It uses the file array.csd.

Example 1278. Example of the array opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -n
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

      kS[] = array(1,7,5)
           printk2 kS[0]
           printk2 kS[1]
           printk2 kS[2]
    endin

    </CsInstruments>
    <CsScore>
    i 1 0 0
    e
    </CsScore>
    </CsoundSynthesizer>

## See Also

Vectorial opcodes fillarray

## Credits

Author: John ffitch
Codemist Ltd
2013

New in version 6.00

Prev | Up | Next
apow | Home | atrirand